Bug 251342 - Fedora does not match competitors Ubuntu and SUSE for hardware recognition on Dell Inspiron 530
Fedora does not match competitors Ubuntu and SUSE for hardware recognition on...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-08 10:26 EDT by Matthew Origer
Modified: 2008-01-10 15:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-10 15:01:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Origer 2007-08-08 10:26:44 EDT
Description of problem:
Installing Fedora Core 7 on a Dell Inspiron 530 desktop PC is impossible because
it does not have drivers for the SATA hard drive.  It does not detect that.  Nor
does it have the drivers for the stock network card.  For comparison both Ubuntu
Feisty and the latest version of openSUSES (10.2) recognize the hard drive and
install to it but neither of them, like Fedora, recognize the network card.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Matt Domsch 2007-09-20 00:59:34 EDT
reassigning to kernel, as this isn't a problem with aiccu.

More detail on the issue would be nice, like the output of lspci -vv and lspci
-vvn.  As it stands, one must have this system in order to know of which devices
you speak.  It's also possible that a newer kernel now includes drivers for your
Comment 2 Chuck Ebbert 2007-09-20 18:46:00 EDT
Bug is reported against devel but reporter only talks about Fedora 7.
Comment 3 Christopher Brown 2007-09-25 06:44:40 EDT

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.


As the installation for Fedora 7 fails for you, it would be helpful to test
whether this is still an issue for Fedora 8. If possible, could you download the
latest test release live cd from:


as this will determine whether your hardware is detected and an installation is
possible. Please could you also attach the output Matt requested (as format
text/plain) to this bug.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 4 Christopher Brown 2008-01-10 15:01:57 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.